Monitoring

Create monitoring alert

Create a monitoring alert (plan limit alertsPerProject enforced).

AuthBearer (JWT)
GroupMonitoring
Rate limitSee Rate Limits
POST/api/monitoring/alerts

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, MonitoringApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const monitoring = new MonitoringApi(configuration);
import { Configuration, MonitoringApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const monitoring = new MonitoringApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await monitoring.createMonitoringAlert(
  {
    name: "Rick Torphy-Buckridge",
    condition: "matrix synthesize",
    threshold: 362.54,
    action: "program quantify",
    projectId: "proj_aGfeKVePxnKg"
  }
);
const { data: result } = await monitoring.createMonitoringAlert(
  {
    name: "Rick Torphy-Buckridge",
    condition: "matrix synthesize",
    threshold: 362.54,
    action: "program quantify",
    projectId: "proj_aGfeKVePxnKg"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Request Body

json
{
  "name": "Johnathan Torp I",
  "condition": "protocol quantify",
  "threshold": 49.41,
  "action": "card synthesize",
  "projectId": "proj_qh5hFHNT70YZ"
}
{
  "name": "Johnathan Torp I",
  "condition": "protocol quantify",
  "threshold": 49.41,
  "action": "card synthesize",
  "projectId": "proj_qh5hFHNT70YZ"
}

Responses

201Alert created
401
403Alert limit reached for your plan

Errors

CodeMeaning
401
403Alert limit reached for your plan
Edit this page on GitHub